package com.tofly.feesapi.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;

/**
 * 用户角色枚举
 *
 * @author shudong
 */
public enum UserRoleEnum {
    /**
     * 抄表员
     */
    MeterReader(39),

    /**
     * 收费人员
     */
    TollCollector(36),

    /**
     * 第三方收费人员
     */
    ThirdPartyTollCollector(36),

    RegionalPersonInCharge(41),

    /**
     * 所有编码
     */
    UserAll();


    @EnumValue
    private int roleId;

    UserRoleEnum(int roleId) {
        this.roleId = roleId;
    }

    UserRoleEnum() {
    }

    ;

}
